Page MenuHomePhabricator

Decrease timeout for EventBus extension for analytics events
Closed, ResolvedPublic

Description

For analytics events the timeout of 60s is way too much. I propose something much smaller, 1s perhaps?

Event Timeline

Pchelolo created this task.Mar 13 2019, 9:04 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 13 2019, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It'd be awesome if we could target 1s, but let's perhaps start with a less-aggressive number, like 5 or 10 and see how it goes.

I wonder if we should also use ?hasty=true mode for mediawiki 'analytics' events? This would use a non-ACKed producer and not ever block the MW waiting for a response.

Pchelolo added a comment.EditedMar 14 2019, 1:42 PM

I wonder if we should also use ?hasty=true mode for mediawiki 'analytics' events? This would use a non-ACKed producer and not ever block the MW waiting for a response.

Makes sense for analytics events IMHO

It'd be awesome if we could target 1s, but let's perhaps start with a less-aggressive number, like 5 or 10 and see how it goes.

Even during the high load the response time (when we did get a response) didn't go higher then 100ms, so I think 1 would be ok.

Change 496446 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] [EventBus] Decrease timeout and use hasty mode for analytics.

https://gerrit.wikimedia.org/r/496446

Milimetric triaged this task as High priority.Mar 18 2019, 3:35 PM
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task from Incoming to Modern Event Platform on the Analytics board.
Ottomata moved this task from Backlog to Done on the EventBus board.Mar 25 2019, 6:36 PM

Change 496446 merged by jenkins-bot:
[operations/mediawiki-config@master] [EventBus] Decrease timeout and use hasty mode for analytics.

https://gerrit.wikimedia.org/r/496446

Pchelolo closed this task as Resolved.Mar 25 2019, 7:00 PM

Merged and deployed as a part of SWAT. Resolving.

Mentioned in SAL (#wikimedia-operations) [2019-03-25T19:13:14Z] <dcausse@deploy1001> Synchronized wmf-config/CommonSettings.php: T218260 (duration: 00m 49s)